﻿body {
    background: rgb(62,62,101);
    /*background: linear-gradient(165deg, rgba(62,62,101,1) 0%, rgba(28,0,84,1) 80%, rgba(62,62,101,1) 100%);*/
    /*background: linear-gradient(165deg, rgba(112,112,151,1) 0%, rgba(170,170,170,1) 80%, rgba(62,62,101,1) 100%);*/
}

.cursor-pointer {
    cursor: pointer;
}

.tiny {
    font-size: 0.7em;
}

/* vue cloak */
[v-cloak] > * {
    display: none;
}

/* Dark Badges on buttons */
.badge-dark {
    color: #000 !important;
}

/* File Browser */
.fb-btn-bkgd {
    background-color: #6c757d;
}

/*File Uploader*/
.gd-droparea {
    border: dashed 1px #999;
}

.gd-dropAreaActive {
    border: dotted 2px #0d6efd;
    background-color: #0d6efd33;
}

/* Scroll bars */
/* Firefox */
* {
    scrollbar-width: thin;
    scrollbar-color: rgb(62,62,101) rgb(162,162,201);
}

    /* Chrome, Edge, and Safari */
    *::-webkit-scrollbar {
        width: 12px;
    }

    *::-webkit-scrollbar-track {
        background: rgb(162,162,201);
    }

    *::-webkit-scrollbar-thumb {
        background-color: rgb(62,62,101);
        border-radius: 20px;
        border: 3px solid rgb(62,62,101);
    }

/*Loader*/
/* Absolute Center Spinner */
.vdLoader {
    position: fixed;
    z-index: 999;
    height: 2em;
    width: 2em;
    overflow: visible;
    margin: auto;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
}

    /* Transparent Overlay */
    .vdLoader:before {
        content: '';
        display: block;
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background: rgba(0, 0, 0, .75);
    }

    .vdLoader:after {
        content: '';
        display: block;
        border: 4px solid #ccc; /* Light grey */
        border-top: 4px solid #00000022; /* Blue */
        border-radius: 50%;
        width: 80px;
        height: 80px;
        animation: spin 2s linear infinite;
    }

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}

.modal {
    overflow-y: auto;
}